<template>
  <div :class="$style.wrapper">
    <related-product-list-item
      v-for="product in simliarProducts"
      :key="product.id"
      :title="product.title"
      :image="product.image"
      :id="product.id"
      :description="product.description"
      :price="product.price"
    >
    </related-product-list-item>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { createNamespacedHelpers } from "vuex";

const { mapState } = createNamespacedHelpers("cart");
// components
import RelatedProductListItem from "@/components/cart/RelatedProductsListItem/index.vue";

// filters

export default Vue.extend({
  name: "RelatedProductsList",
  components: {
    RelatedProductListItem
  },
  computed: {
    ...mapState(["simliarProducts"])
  }
});
</script>

<style module lang="scss">
.wrapper {
  composes: align-items--center;
  composes: justify-content--center;
  max-width: 800px;
}
</style>
